Create a cohort

Create a new cohort within a program.

Business Rules:

  • The program must not be archived.
  • For non-published programs, the number of cohorts cannot exceed the program's configured maximum (numberOfCohorts). There is no limit for published programs.
  • At least one organizer must be provided.
  • All user IDs supplied in organizerIds and attendeeIds must belong to your institution.
  • Duplicate user IDs across organizerIds and attendeeIds are not allowed.
  • If the program is already published, creating a cohort will automatically generate its scheduled events and apply any existing program cancellations.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The programId you wish to query cohorts for

Body Params
string
required

The name of the cohort

organizerIds
array of objects
required
length ≥ 1

Array of user IDs to set as organizers of this cohort. At least one organizer is required.

organizerIds*
attendeeIds
array of objects

Array of user IDs to set as attendees of this cohort

attendeeIds
Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json